#if defined _HlstatsXLogHelper_included
	#endinput
#endif

#define _HlstatsXLogHelper_included

/**
 * Logs a custom player event to the game.
 *
 * @param client           	The client index.
 * @param verb         		The verb to log.
 * @param event         	The event to log.
 * @param happyhour         If event should be altered during happy hour.
 *
 * @return                  True on success, false otherwise.
 * @error                   Invalid client index or not ingame.
 */
native bool LH_LogPlayerEvent(int client, char[] verb, char[] event, bool happyhour = false);


public SharedPlugin __pl_HlstatsXLogHelper =
{
	name = "HlstatsXLogHelper",
	file = "hlstatsx_loghelper.smx",

	#if defined REQUIRE_PLUGIN
		required = 1
	#else
		required = 0
	#endif
};

#if !defined REQUIRE_PLUGIN
	public void __pl_HlstatsXLogHelper_SetNTVOptional()
	{
		MarkNativeAsOptional("LH_LogPlayerEvent");
	}
#endif
